## com.vividsolutions.jts.geom
Interface CoordinateFilter

All Known Implementing Classes:
  CoordinateArrayFilter, CoordinateCountFilter, UniqueCoordinateArrayFilter

public interface CoordinateFilter

`Geometry` classes support the concept of applying a coordinate filter to every coordinate in the `Geometry`. A coordinate filter can either record information about each coordinate or change the coordinate in some way. Coordinate filters implement the interface `CoordinateFilter`. (`CoordinateFilter` is an example of the Gang-of-Four Visitor pattern). Coordinate filters can be used to implement such things as coordinate transformations, centroid and envelope computation, and many other functions.

Version:
  1.7

Method Summary
`void` `filter(Coordinate coord)` Performs an operation with or on `coord`.

Method Detail

### filter

    public void filter(Coordinate coord)

  Performs an operation with or on `coord`.

  Parameters:
    `coord` - a `Coordinate` to which the filter is applied.